%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20040614
%define hptzip_version 0.1.0
%define ver %husky_version
%define rel alt1.%husky_cvsdate

Name: libhusky
Summary: Husky project api library
Version: %ver
Release: %rel
License: GPL
Group: System/Libraries
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source: huskylib.tar.bz2

BuildPreReq: huskybse = %husky_version-%release

%description
Husky project api library

%description -l ru_RU.KOI8-R
   husky

%package devel
Group: Development/C
Summary: Husky project api library header files
Requires: %name

%description devel
Husky project api library files

%description -l ru_RU.KOI8-R devel
 ,    ,
   husky

%package devel-static
Group: Development/C
Summary: Husky project squish api library header files

%description devel-static
Husky project api static library files

%description -l ru_RU.KOI8-R devel-static
,       husky

%prep
%setup -q -n huskylib

%build
%make DEBIAN=1

%install
%__mkdir_p %buildroot%_libdir
%__mkdir_p %buildroot%_includedir/huskylib

%make DEBIAN=1 PREFIX=%buildroot%prefix install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%attr(750,ftn,ftn) %_bindir/*
%attr(755,root,root) %_libdir/*.so.*

%files devel
%dir %attr(755,root,root) %_includedir/huskylib
%attr(644,root,root) %_includedir/huskylib/*
%attr(755,root,root) %_libdir/*.so

%files devel-static
%attr(644,root,root) %_libdir/*.a

%changelog
* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040607
- Specfile rewritten from scratch
